--- title: "Create a course assignment" slug: "create-a-course-assignment" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/create-a-course-assignment" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a course assignment Get/CreateCourseAssignment Allows you to create a course assignment. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parametersExternalIdstring The course assignment's external ID, usually a unique identifier from the calling system ExampleE3G5YZFREFEQ9371 CourseIdinteger (int32) | nullRequired The Id of the course associated with this course assignment Example321 UserIdinteger (int32) | nullRequired The UserId of the user that is associated with this course assignment Example44534 ClubMembershipIdinteger (int32) The subscription (if any) associated with this course assignment Example1234 Expiresstring (date) When the course assignment expires (as a date string in format yyyy-MM-dd ex: 2025-12-04) Example2025-12-04 TargetCompletionDatestring (date) When course assignment is expected to be completed by the student (as a date string in format yyyy-MM-dd ex: 2025-12-04) Example2025-12-04 Responses200 OK Response object statusinteger (int32) Indicates the status of the API request. - 0 = Success - 10 = Error - 20 = Not found - 30 = Invalid integration key Example10 errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). CourseAssignmentIdinteger (int32) The ID of the created course assignment. Example45632